seqan2 (2.5.0~rc2+dfsg-2) experimental; urgency=medium

  * Can't make docs or the manual yet, "seqansphinx" is not yet packaged

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 14:19:19 +0200

seqan2 (2.5.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Resume building razers{,3} everywhere.
  * d/rules: According to upstream, solution_online_search_finder.cpp
    works again, so stop deleting that test

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:07:37 +0200

seqan2 (2.5.0~rc1+dfsg-1~0exp1) experimental; urgency=medium

  * debian/libseqan2-dev.docs: README.rst→README.md
  * debian/rules: restore "reproducible=-fixfilepath"

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Aug 2024 17:36:14 +0200

seqan2 (2.5.0~rc1+dfsg-1~0exp0) experimental; urgency=medium

  * d/watch: updated to catch release candidates.
  * New upstream version
  * Rely on pre-initialized dpkg-architecture variables.
  * d/patches: many patches upstreamed and removed.
  * d/rules: remove max build limit for amd64 from 2018.
  * Skip building razers & razers3 on all architectures.
  * d/rules: configure with -DALIGN_SIMD_TEST=FALSE as per upstream, to
    avoid compiling a 256+ level template in debug mode which takes up too
    much memory.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 03 Aug 2024 13:24:50 +0200

seqan2 (2.4.0+dfsg-16) unstable; urgency=medium

  * Skip test solution_online_search_finder which might break occasionally
    Closes: #1058548
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jan 2024 13:57:17 +0100

seqan2 (2.4.0+dfsg-15) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository-Browse.
  [Team upload]
  * Fix tests against python3 (Closes: #1026492)
    **pending issue** fixes all tests BUT remains mason2 tests failing
    for complete different reason

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 15:52:21 +0100

seqan2 (2.4.0+dfsg-14) unstable; urgency=medium

  * Exclude yara build also for i386

 -- Andreas Tille <tille@debian.org>  Sat, 13 Feb 2021 21:18:04 +0100

seqan2 (2.4.0+dfsg-13) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Enable reproducible=+fixfilepath
    Closes: #972752

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Install sak.1 manpage

 -- Andreas Tille <tille@debian.org>  Mon, 14 Dec 2020 08:06:32 +0100

seqan2 (2.4.0+dfsg-12) unstable; urgency=medium

  * Convert python scripts to python3. Closes: #938465
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Drop custom source compression.
  * Remove empty debian/source/options.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 08 Feb 2020 15:48:08 +0100

seqan2 (2.4.0+dfsg-11) unstable; urgency=medium

  * Fix Exclusion of tests on armhf and mips

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 14:21:53 +0100

seqan2 (2.4.0+dfsg-10) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * debian/patches/ia64_yield: Fix thread wait assembly for IA64.
    Closes: #890185

  [ Andreas Tille ]
  * Ignore two tests on armhf and one test on mips to let the build
    succeed on these architectures
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 29 Jan 2019 22:38:30 +0100

seqan2 (2.4.0+dfsg-9) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Generate the CWL descriptions automatically, now that CTDConverter is
    packaged.
    (This does not work and was deactivated in favour of fixing bug #892223
     quickly.)

  [ Steve Langasek ]
  * use alignment-safe buffer handling
    Closes: #892223

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog
  * Build-Depends: fakeroot (Something is broken since this is not
    automatically installed.  This should not be necessary and should
    be removed in next revision.)
  * debian/rules: Fix PATH in attempt to create CWL descriptions

 -- Andreas Tille <tille@debian.org>  Wed, 05 Dec 2018 11:36:39 +0100

seqan2 (2.4.0+dfsg-8) unstable; urgency=medium

  * Fix AutoPkgTests. Miscellaneous cleanups of debian/rules.
  * Use seperate build directory for the -dev package so we can run cmake with
    -DSEQAN_BUILD_SYSTEM=SEQAN_RELEASE_LIBRARY

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 19 Feb 2018 02:15:18 -0800

seqan2 (2.4.0+dfsg-7) unstable; urgency=medium

  * Split override_dh_install into -arch and -indep

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 17 Feb 2018 09:22:51 -0800

seqan2 (2.4.0+dfsg-6) unstable; urgency=medium

  * Retry building on mips*; patch adapted from Adrian Bunk <bunk@debian.org>
    Closes: #890385. Thanks!
  * Document CWL generation via README.source. Mark all CWL files as
    executable
  * Enable AutoPackageTests for seqan-apps
  * Applied 2 patches from upstream: add mandatory ctdVersion element,
    fix errors in manpage output
  * Suggest cwltool | cwl-runner.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 17 Feb 2018 07:09:41 -0800

seqan2 (2.4.0+dfsg-5) unstable; urgency=medium

  * Ship CWL descriptions for a subset of seqan-apps
  * Give up on mips & mipsel due to lack of memory

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 01:54:55 -0800

seqan2 (2.4.0+dfsg-4) unstable; urgency=medium

  * Update seqan-config.cmake installation location as per upstream:
    https://github.com/seqan/seqan/issues/2276
  * Drop mips* to -O2 from -O3

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 09 Feb 2018 03:53:49 -0800

seqan2 (2.4.0+dfsg-3) unstable; urgency=medium

  * Remove parallel building form mips{,el}
  * AMD64 is freezing up on the builders, drop max parallel builds to 2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 08 Feb 2018 03:56:41 -0800

seqan2 (2.4.0+dfsg-2) unstable; urgency=medium

  * Drop mips{,el} down to 2 max parallel builds.
  * Latest release fixes the failing tests issue. (Closes: #884548)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 07 Feb 2018 03:22:48 -0800

seqan2 (2.4.0+dfsg-1) unstable; urgency=medium

  * 2.4.0 is released!
  * Install seqan-2.pc to /usr/share/pkgconfig as it is arch independent

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 05 Feb 2018 07:52:07 -0800

seqan2 (2.4.0~rc2+dfsg-1) experimental; urgency=medium

  * Testing upstream's 3rd formal release candidate for 2.4.0
  * debian/rules: use --max-parallel to more cleanly limit parallel building

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 31 Jan 2018 22:23:03 -0800

seqan2 (2.4.0~rc1+dfsg-2) experimental; urgency=medium

  * debian/rules: Drop amd64, mips, mipsel to -j3 to save memory

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 31 Jan 2018 04:16:59 -0800

seqan2 (2.4.0~rc1+dfsg-1) experimental; urgency=medium

  * Testing upstream's 2nd formal release candidate for 2.4.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 30 Jan 2018 03:00:53 -0800

seqan2 (2.4.0~rc0+dfsg-1) experimental; urgency=medium

  * Testing upstream's formal release candidate

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 26 Jan 2018 10:14:15 -0800

seqan2 (2.3.2.001platform-issues10-6f85721+dfsg-2) experimental; urgency=medium

  * enable asyncio on all archs as a test
  * disable parallel building on powerpcspe

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 04 Jan 2018 05:11:43 -0800

seqan2 (2.3.2.001platform-issues10-6f85721+dfsg-1) experimental; urgency=medium

  * Hopefully final update from upstream :-)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 03 Jan 2018 09:27:33 -0800

seqan2 (2.3.2.000platform-issues9-028fd79+dfsg-1) experimental; urgency=medium

  * Another update from upstream
  * debian/rules: build flags simplification:
      - use DEB_*_MAINT_APPEND
      - pass -DNDEBUG -O3 as per upstream
      - drop -DSEQAN_BUILD_SYSTEM=DEVELOP as that is the default

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 22 Dec 2017 00:03:51 -0800

seqan2 (2.3.2.000platform-issues8-6f85721+dfsg-2) experimental; urgency=medium

  * Force rebuild

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 14 Dec 2017 01:51:28 -0800

seqan2 (2.3.2.000platform-issues8-6f85721+dfsg-1) experimental; urgency=medium

  * Another update from upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 08 Dec 2017 04:41:18 -0800

seqan2 (2.3.2.000platform-issues7-41f58c3+dfsg-2) experimental; urgency=medium

  [ Andreas Tille ]
  * Work around missing dir in indep-only builds
    Closes: #882169

  [ Michael R. Crusoe ]
  * Cleanup from not pushing my changes

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 06 Dec 2017 05:28:59 -0800

seqan2 (2.3.2.000platform-issues7-41f58c3+dfsg-1) experimental; urgency=medium

   * Another update from upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 21 Nov 2017 22:19:27 -0800

seqan2 (2.3.2.000platform-issues6-9cf5a69+dfsg-3) experimental; urgency=medium

  * Typo fix

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 18 Nov 2017 06:19:44 -0800

seqan2 (2.3.2.000platform-issues6-9cf5a69+dfsg-2) experimental; urgency=medium

  * Now try -O3 everywhere
  * Remove the sparc64 test code
  * Delete symlinks for apps that are skipped for a particular architecture

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 18 Nov 2017 04:50:55 -0800

seqan2 (2.3.2.000platform-issues6-9cf5a69+dfsg-1) experimental; urgency=medium

  * Skip yara on kfreebsd-i386
  * Try out -O2 on archs that had been previously -O1
  * Fix typo in bam2roi help text
  * From upstream: another round of changes for the problems that affect
    all big endian.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 11 Nov 2017 05:44:36 -0800

seqan2 (2.3.2.000platform-issues5-86390dc+dfsg-1) experimental; urgency=medium

  * Another update from upstream including a tweak to sparc64

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 08 Nov 2017 07:03:25 -0800

seqan2 (2.3.2.000platform-issues4-fba8744+dfsg-1) experimental; urgency=medium

  * Another refresh from upstream's branch
  * Skip yara on armel, as well.
  * d/control: declare seqan2 can be built without root, R³:no.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 06 Nov 2017 12:15:11 -0800

seqan2 (2.3.2.000platform-issues3-1d438c8+dfsg-2) experimental; urgency=medium

  * Skip yara on armhf & sh4.
  * Disable parallel building on armel

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 04 Nov 2017 02:09:12 -0700

seqan2 (2.3.2.000platform-issues3-1d438c8+dfsg-1) experimental; urgency=medium

  * require tests to pass everywhere
  * skip the razers{3,} and yara apps on mips{el,}
  * restore parallel build blocking only for armhf, sh4, and kfreebsd*
  * Another refresh from upstream, this time focusing on bam files

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 02 Nov 2017 11:41:21 -0700

seqan2 (2.3.2.000platform-issues2-206d1f7+dfsg-1) experimental; urgency=medium

  * Typo for CXXFLAGS: -O1 instead of -01
  * Another refresh from upstream in response to errors discovered via the
    Debian build machines.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 26 Oct 2017 08:48:11 -0700

seqan2 (2.3.2.000platform-issues1-66a8baf+dfsg-1) experimental; urgency=medium

  * Refresh from upstream with additional fixes

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Oct 2017 04:08:29 -0700

seqan2 (2.3.2.000platform-issues0-8ae7bc0+dfsg1-1) experimental; urgency=medium

  * Patch for mips64el from bunk@debian.org (Closes: #878933)
  * Temporarily enable all archs again
  * Upstream source is pre-2.4.0, remove patches that they have merged:
    short-description, spelling
  * Cleaned up per-arch settings in debian/rules

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 23 Oct 2017 09:58:43 -0700

seqan2 (2.3.2+dfsg2-4) unstable; urgency=medium

  * Work around missing dir in indep-only builds
    Closes: #882169
  * d/rules: drop --parallel which is redundant for debhelper 10
  * Do not generate manpages in arch indep builds (as done in
    experimental branch)

 -- Andreas Tille <tille@debian.org>  Wed, 06 Dec 2017 11:11:59 +0100

seqan2 (2.3.2+dfsg2-3) unstable; urgency=medium

  * Patch for mips64el from bunk@debian.org (Closes: #878933)
  * Cleaned up per-arch settings in debian/rules
  * Disable parallel building on sh4

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 24 Oct 2017 04:56:12 -0700

seqan2 (2.3.2+dfsg2-2) unstable; urgency=medium

  * As per upstream, disable async-io for many platforms
  * Remove jinja2, python-nose, and dh-linktree dependencies as we are not yet
    building the docs
  * Switch to GitHub releases for HTTPS protection

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Oct 2017 10:48:00 -0700

seqan2 (2.3.2+dfsg2-1) unstable; urgency=medium

  * Still not enough memory for seqan-apps on amrhf, disabling
  * seqan-apps: run tests post build, everywhere

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Oct 2017 05:01:16 -0700

seqan2 (2.3.2+dfsg-2) unstable; urgency=medium

  * Re-enable armhf, h/t Ubuntu
  * Disabling armel again due to lack of memory on buildd. (Closes: #877349)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 07 Oct 2017 10:28:57 -0700

seqan2 (2.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable armel, now that upstream bug fixed in
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=64735
  * removed debian/patches/skip-SEQAN_PKGCFG_CFLAGS, incorporated upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 28 Sep 2017 09:15:34 -0700

seqan2 (2.3.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    Thanks to Chris Lamb for the patch.
    Closes: #862484

 -- Sascha Steinbiss <satta@debian.org>  Tue, 04 Jul 2017 23:24:52 +0200

seqan2 (2.3.1+dfsg-4) unstable; urgency=medium

  * Fix FTBFS when built with dpkg-buildpackage -A (thanks for the patch to
    Santiago Vila <sanvila@debian.org>)
    Closes: #864026

 -- Andreas Tille <tille@debian.org>  Sat, 03 Jun 2017 16:15:29 +0200

seqan2 (2.3.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix broken /usr/bin/splazers symlink on 32-bit architectures.
    (Closes: #863669)

 -- Chris Lamb <lamby@debian.org>  Mon, 29 May 2017 22:56:39 +0100

seqan2 (2.3.1+dfsg-3) unstable; urgency=medium

  * add patch FWDs, set HOME to fix manpages

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Jan 2017 01:34:05 -0800

seqan2 (2.3.1+dfsg-2) unstable; urgency=medium

  * Remove archs with failing builds: armhf mips mipsel
  * Set SEQAN_REVISION to 'tarball' so that ccache isn't poisened by changes
    to debian/
  * Release to unstable

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 Jan 2017 00:23:26 -0800

seqan2 (2.3.1+dfsg-1) experimental; urgency=medium

  * Try to save more memory on kfreebsd-*
  * Fix parallel build disabling to not produce warnings
  * New upstream release, three incorporated patched removed

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Jan 2017 05:36:28 -0800

seqan2 (2.3.0~1.20161019~af07bc1+dfsg-4) experimental; urgency=medium

  * Try out -O3 for many architectures as that is upstream's default.
  * Skip unneeded build for -indep.
  * Fix architecture detection logic.
  * Fix from upstream for another sparc64 related typo.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 26 Oct 2016 03:31:54 -0700

seqan2 (2.3.0~1.20161019~af07bc1+dfsg-3) experimental; urgency=medium

  * Fix recursive variable expansion error.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Oct 2016 07:54:44 -0700

seqan2 (2.3.0~1.20161019~af07bc1+dfsg-2) experimental; urgency=medium

  * Fix typo from upstream's patch.
  * Work around GNU Hurd TANDEM problem
  * Skip armel
  * Test -O1 for mips[el]
  * Test turning off parallel builds for armhf, mips, kfreebsd-*

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 20 Oct 2016 04:48:11 -0700

seqan2 (2.3.0~0.201610100~af07bc1+dfsg+1) experimental; urgency=medium

  * Second experimental build to test fix for #840030. Source from
    https://github.com/seqan/seqan/pull/1887/commits/af07bc19087e662117b70d733e963a1611aa9b9a

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 20 Oct 2016 02:06:15 -0700

seqan2 (2.3.0~0.20161011~73a5aaf+dfsg-1) experimental; urgency=low

  * Experimental build to test fix for #840030

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Oct 2016 07:08:05 -0700

seqan2 (2.2.0+dfsg-6) UNRELEASED; urgency=medium

  * Drop Soeren Sonnenburg from Uploaders

 -- Andreas Tille <tille@debian.org>  Sat, 03 Dec 2016 08:08:51 +0100

seqan2 (2.2.0+dfsg-5) unstable; urgency=medium

  * Fix build issue with boost 1.62 (Thanks for the patch to Graham Inggs
    <ginggs@debian.org>)
    Closes: #846617
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 19:01:10 +0100

seqan2 (2.2.0+dfsg-4) unstable; urgency=medium

  * Restrict to known working archs for now. Closes: #840025
  * Use upstream's patch. Closes: #840030, #840026

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Oct 2016 12:20:59 -0700

seqan2 (2.2.0+dfsg-3) unstable; urgency=medium

  * Fix arch specific build. Closes: #840023
  * Remove shlibs:Depends from include-only library package
  * More spelling fixes
  * Fix manpage generation

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 09 Oct 2016 06:41:34 -0700

seqan2 (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Declare Conflicts: with seqan-dev (API incompatible)
    See https://github.com/seqan/seqan/issues/1820 for upstream discussion.
    Closes: #838340.
  * Add CMake modules needed to build projects based on SeqAn.
  * Add pkg-config file.
  * Fix some typos in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 24 Sep 2016 21:48:27 +0000

seqan2 (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Separate packaging from legacy seqan
  * cme fix dpkg-control
  * moved debian/upstream to debian/upstream/metadata
  * disable doc creation which works differently than in previous versions
  * correct opts in d/watch
  * upgrade copyright
  * New Build-Depends:
     * python-jinja2 needed in test suite
     * libbz2-dev, python-sphinx, python-nose, default-jdk suggested by
       build system
  * d/copyright: Remove some minimised JS scripts without source which
    are packaged for Debian
  * seqan-dev.install: Fix location of include files, docs are somewhere
    else and should be moved to a separate package
  * New package seqan-doc
  * Moved to Git
  * Symlink to binaries only if these are part of the binary distribution

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 13:16:56 +0200
